# Couenne::exprLBCos Class Reference

class to compute lower bound of a cosine based on the bounds of its arguments More...

`#include <CouenneExprBCos.hpp>`

Inheritance diagram for Couenne::exprLBCos:

List of all members.

## Public Member Functions
| exprLBCos (expression *lb, expression *ub)
| Constructors, destructor.
expression * | clone (Domain *d=NULL) const
| cloning method
CouNumber | operator() ()
| function for the evaluation of the expression
enum pos | printPos () const
| print position (PRE, INSIDE, POST)
std::string | printOp () const
| print operator

## Detailed Description

class to compute lower bound of a cosine based on the bounds of its arguments

Definition at line 27 of file CouenneExprBCos.hpp.

## Constructor & Destructor Documentation

Couenne::exprLBCos::exprLBCos | ( | expression * | lb,
|  | expression * | ub |
| ) |  |  | `[inline]`

Constructors, destructor.

Definition at line 32 of file CouenneExprBCos.hpp.

References Couenne::exprOp::arglist_.

Referenced by clone().

## Member Function Documentation

expression* Couenne::exprLBCos::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::expression.

Definition at line 39 of file CouenneExprBCos.hpp.

References Couenne::exprOp::arglist_, and exprLBCos().

CouNumber Couenne::exprLBCos::operator() | ( |  | ) | `[inline, virtual]`

function for the evaluation of the expression

compute sum

Implements Couenne::expression.

Definition at line 58 of file CouenneExprBCos.hpp.

References Couenne::exprOp::arglist_, Couenne::cos(), and M_PI.

enum pos Couenne::exprLBCos::printPos | ( |  | ) | const`[inline, virtual]`

print position (PRE, INSIDE, POST)

Reimplemented from Couenne::exprOp.

Definition at line 47 of file CouenneExprBCos.hpp.

References Couenne::PRE.

std::string Couenne::exprLBCos::printOp | ( |  | ) | const`[inline, virtual]`

print operator

Reimplemented from Couenne::exprOp.

Definition at line 51 of file CouenneExprBCos.hpp.

The documentation for this class was generated from the following file:

- CouenneExprBCos.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines